- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# wakeonlan – Send a magic Wake-on-LAN (WoL) broadcast packet

- Synopsis
- Parameters
- Notes
- See Also
- Examples
- Status

## Synopsis

- The `wakeonlan` module sends magic Wake-on-LAN (WoL) broadcast packets.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
broadcast - | Default: "255.255.255.255" | Network broadcast address to use for broadcasting magic Wake-on-LAN packet.
mac - / required |  | MAC address to send Wake-on-LAN broadcast packet for.
port - | Default: 7 | UDP port to use for magic Wake-on-LAN packet.

## Notes

Note

- This module sends a magic packet, without knowing whether it worked
- Only works if the target system was properly configured for Wake-on-LAN (in the BIOS and/or the OS)
- Some BIOSes have a different (configurable) Wake-on-LAN boot order (i.e. PXE first).

## See Also

See also

win_wakeonlan – Send a magic Wake-on-LAN (WoL) broadcast packet
  The official documentation on the win_wakeonlan module.

## Examples

    - name: Send a magic Wake-on-LAN packet to 00:00:5E:00:53:66
      wakeonlan:
        mac: '00:00:5E:00:53:66'
        broadcast: 192.0.2.23
      delegate_to: localhost

    - wakeonlan:
        mac: 00:00:5E:00:53:66
        port: 9
      delegate_to: localhost

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Dag Wieers (@dagwieers)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.